<template>
	<view :style="{width:width+'rpx',height:height+'rpx'}">
		<swiper :style="{width:width+'rpx',height:height+'rpx'}" :indicator-dots="true" 
				:autoplay="true"       
				:interval="2000"  
				indicator-color="rgba(0, 255, 0, 0.3)"
				indicator-active-color="#40AE36"
				:duration="1000"
				circular>      
			<swiper-item v-for="(item,index) in imageList" :key="index">
				<view class="contentColumnC">
					<netImage backgrS='1' :width="(width-56)" :height="Imgmargin(height)" bradius="0" :mysrc="item" mymode="scaleToFill"></netImage>
				</view>
			</swiper-item>
		</swiper>
	</view>
</template>

<script>
	export default {
		name:"swiperImgs",
		props:{
			imageList:'',
			width:0,
			height:0,
		},
		data() {
			return {
				
			};
		},
		methods:{
			Imgmargin(size){
				return (size-30);
			},
		},
		
	}
</script>

<style>
.swiper-item{
	width: 100%;
	height: 100%;
}
</style>